Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class IdGenerator

    java.lang.Object
      play.modules.morphia.utils.IdGenerator

    public class IdGenerator

extends java.lang.Object

Constructor Summary
`IdGenerator()`

Method Summary
`static Datastore` | `ds()`
`static java.lang.Object` | `generateId(Model entity)`
`static
`<T extends Model> java.lang.Long`
` | `generateLongId(java.lang.Class<T> clazz)`
`static
`<T extends Model> java.lang.Long`
` | `generateLongId(T entity)`
`static
`<T extends Model> ObjectId`
` | `generateObjectIdId(java.lang.Class<T> clazz)`
`static
`<T extends Model> ObjectId`
` | `generateObjectIdId(T entity)`
`static java.lang.String` | `getIdTypeName()`
`static java.lang.Object` | `processId(java.lang.Object id)`
`static java.lang.Long` | `processLongId(java.lang.Object id)`
`static ObjectId` | `processObjectId(java.lang.Object id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdGenerator

    public IdGenerator()

Method Detail

### ds

    public static Datastore ds()

### generateId

    public static java.lang.Object generateId(Model entity)

### generateLongId

    public static <T extends Model> java.lang.Long generateLongId(T entity)

### generateLongId

    public static <T extends Model> java.lang.Long generateLongId(java.lang.Class<T> clazz)

### generateObjectIdId

    public static <T extends Model> ObjectId generateObjectIdId(T entity)

### generateObjectIdId

    public static <T extends Model> ObjectId generateObjectIdId(java.lang.Class<T> clazz)

### getIdTypeName

    public static java.lang.String getIdTypeName()

### processId

    public static java.lang.Object processId(java.lang.Object id)

### processObjectId

    public static ObjectId processObjectId(java.lang.Object id)

### processLongId

    public static java.lang.Long processLongId(java.lang.Object id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD